Subject: bug#9960: Compiling Emacs trunk with MSVC

From: Christoph Scholtes <[email-masked]>
Date: Sat, 05 Nov 2011 11:22:58 -0600

Eli Zaretskii <[email-masked]> writes:

> Thank, but see my followup, with a better (and more correct) variant.

OK. I fixed it. Thanks.

> No idea about this one.  Seems to be the consequence of using -D_MT in
> the compiler flags, but that was suggested by Fabrice, and I really
> don't know why is that important, or even what does it do, exactly.
> Does it work if you remove -D_MT from EMACS_EXTRA_C_FLAGS in
> nt/nmake.defs?

No. The error remains after removing -D_MT.

> Anyway, can you work around this somehow and get to compiling Emacs
> itself?  That's the important thing here, not lib-src programs, with
> all due respect I have to them.

I will try. I might just have to remove the lib-src stuff from the make
process.